Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Installatie Pixum Fotoboek op amd64, Ubuntu 12.10  (gelezen 1686 keer)

Offline Nassara

  • Lid
  • Steunpunt: Nee
Installatie Pixum Fotoboek op amd64, Ubuntu 12.10
« Gepost op: 2012/12/08, 09:43:30 »
Hoi,
Ik installeerde Pixum Fotoboek op Ubuntu 12.10; amd64 architectuur. Wanneer ik in de terminal nu ./Pixum\ Fotoboek uitvoer, krijg ik volgende melding:

./Pixum Fotoboek: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory

Wat mis ik?



Offline Nassara

  • Lid
  • Steunpunt: Nee
Re: Installatie Pixum Fotoboek op amd64, Ubuntu 12.10
« Reactie #2 Gepost op: 2012/12/08, 15:37:02 »
Ja, deze link had ik al geprobeerd... En  sudo apt-get install libgomp1:i386 heb ik al uitgevoerd. Maar geen verder succes...

Offline Nassara

  • Lid
  • Steunpunt: Nee
Re: Installatie Pixum Fotoboek op amd64, Ubuntu 12.10
« Reactie #3 Gepost op: 2012/12/09, 11:02:56 »
Iemand?

Offline roeland

  • Lid
  • Steunpunt: Nee
Re: Installatie Pixum Fotoboek op amd64, Ubuntu 12.10
« Reactie #4 Gepost op: 2012/12/09, 11:57:42 »
Ik werk al jaren met Pixum onder Linux.  Ik heb net op mijn computer (64) Pixum nieuw geinstalleerd.  Een paar maanden geleden heb ik Xubuntu 12.04 er op gezet dus er was geen oude Pixum aanwezig.
Pixum geeft aan dat je oude installaties beter eerst kan verwijderen.
Hoe ben ik te werk gegaan:
- naar Pixum site en linux versie downloaden.  Dat zijn twee bestanden, Eula.txt en install.pl.  Die laat ik gewoon in de root zetten/uitpakken.
- vervolgens naar de terminal en de instructie van Pixum: sudo ./install.pl intikken
- dan q intikken om aan te geven dat je het Eula bestand hebt gelezen (je hoeft niet daadwerkelijk dat bestand te bekijken)
- daarna alle vragen met j beantwoorden (is vetgedrukte suggesties)
- bij mij werd alles gewoon geinstalleerd in de map /opt/Pixum/Pixum Fotoboek/Pixum Fotoboek
- ga naar bestandsbeheer naar de map /opt/Pixum/Pixum Fotoboek/Pixum Fotoboek, scroll vrijwel naar onderen en rechtsklik het Pixum Fotoboek icoontje aan  voor uitvoeren
- bij mij opent dan het Pixum programma

Ik ben even kwijt hoe het icoontje van Pixum Fotoboek op je bureaublad krijgt want dan kan je vanaf het bureaublad opstarten.

Als je het opnieuw probeert, denk ik dat het goed is de submap opt/Pixum enz weg te gooien (niet de hele opt map!) en ook de Eula en install bestanden op andere plekken.

Ik hoop dat mijn advies bij je werkt.  Of dat er een relatie is met 12.10 waardoor jouw probleem ontstaat.
Ik werk al jaren met Xubuntu (na enkele jaren de gewone Ubuntu versie  gebruikt te hebben).  Als je gewoon je werk wilt doen zonder toeters en bellen in het uiterlijk en geen´top´ pc of laptop hebt is Xubuntu aan te bevelen!

Offline vrijevogel

  • Lid
  • Steunpunt: Nee
Re: Installatie Pixum Fotoboek op amd64, Ubuntu 12.10
« Reactie #5 Gepost op: 2012/12/09, 13:05:06 »
Ik heb enkele maanden geleden Pixum geïnstalleerd op xubuntu12.04 en dat werkt probleemloos. Daar heb je natuurlijk niets aan. Eigenaardig lijkt het alsof stdc++-libraries niet op je pc geïnstalleerd zijn. Daarom probeer deze te installeren:

sudo apt-get install libstdc++

Installeer eventueel het oudere programma synaptic waarin je kan zien welke libraries geïnstalleerd zijn geworden. Zoek daarin bvb. naar libstdc++ -> properties

Offline Nassara

  • Lid
  • Steunpunt: Nee
Re: Installatie Pixum Fotoboek op amd64, Ubuntu 12.10
« Reactie #6 Gepost op: 2012/12/09, 22:34:15 »
Ik krijg volgende output:

bart@Desktop:~$ sudo apt-get install libstdc++
[sudo] password for bart:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
Statusinformatie wordt gelezen... Klaar
Let op, 'libstdc++-dev-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.4-doc' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.2-dbg-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.7-pic-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.7-pic' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++5' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-armel-cross-armhf' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.1-dbg' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++-dev-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.1-dev' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.1-doc' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.2-dbg-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++2.9-dev' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.4-pic' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.6-armhf-cross-dbg-armel' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.3-dbg-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-dev-armel-dcv1' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.3-dbg-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++-dev-armhf-dcv1' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.5-dbg' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.5-dev' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.4-dbg-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.5-doc' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++-dev' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.7-armel-cross-dbg-armhf' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++2.10-dev' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++2.9-glibc2.1-dev' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-dbg-armel-dcv1' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.2-dbg' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.4-dbg-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.2-doc' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-armhf-dcv1' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-pic-armel-dcv1' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.5-pic' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.5-dbg-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.5-dbg-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++5-3.3-dbg-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.7-armhf-cross-dbg-armel' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.6-dbg-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.6-dbg' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.6-dev' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.6-doc' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-dev-armhf-dcv1' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++5-3.3-dbg-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++5-dbg' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++5-doc' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.6-dbg-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.3-dbg' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.3-dev' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.3-doc' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.7-dbg-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.6-pic' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++5-dbg-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.0-dbg-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.6-dev-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.0-dbg' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-dbg-armhf-dcv1' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-armhf-cross-armel' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.6-pic-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.7-dbg-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.0-doc' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++2.8-dev' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-pic-armhf-dcv1' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++5-dbg-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.0-dbg-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.6-dev-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++-dev-armel-dcv1' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++5-3.3-dbg' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.7-dbg' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-dbg-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.1-dbg-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.7-dev-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.7-dev' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++5-3.3-doc' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.6-pic-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++3.0-dev' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.7-doc' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.6-armel-cross-dbg-armhf' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-dbg' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.7-pic-armel-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-doc' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-dbg-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.1-dbg-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.7-dev-armhf-cross' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.4-dbg' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-4.4-dev' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-armel-dcv1' wordt geselecteerd omwille van de regex 'libstdc+'
Let op, 'libstdc++6-armel-cross' wordt geselecteerd in plaats van 'libstdc++6-armel-dcv1'
Let op, 'libstdc++6-armhf-cross' wordt geselecteerd in plaats van 'libstdc++6-armhf-dcv1'
libstdc++6 is reeds de nieuwste versie.
libstdc++5 is reeds de nieuwste versie.
libstdc++6-4.7-dev-armhf-cross is reeds de nieuwste versie.
libstdc++6-4.7-dev-armhf-cross is ingesteld voor handmatige installatie.
libstdc++6-4.7-pic-armhf-cross is reeds de nieuwste versie.
libstdc++6-armhf-cross is reeds de nieuwste versie.
libstdc++6-armhf-cross is ingesteld voor handmatige installatie.
Sommige pakketten konden niet geïnstalleerd worden. Dit kan betekenen dat u
een onmogelijke situatie gevraagd hebt of dat u de 'unstable'-distributie
gebruikt en sommige benodigde pakketten nog vastzitten in 'incoming'.
De volgende informatie helpt u mogelijk verder:

De volgende pakketten hebben niet-voldane vereisten:
 libstdc++6-4.5-dbg : Conflicteert met: libstdc++6-4.4-dbg maar 4.4.7-2ubuntu1 zal geïnstalleerd worden
 libstdc++6-4.5-doc : Conflicteert met: libstdc++6-4.4-doc maar 4.4.7-2ubuntu1 zal geïnstalleerd worden
 libstdc++6-4.6-dbg : Conflicteert met: libstdc++6-4.4-dbg maar 4.4.7-2ubuntu1 zal geïnstalleerd worden
                      Conflicteert met: libstdc++6-4.5-dbg maar 4.5.4-1ubuntu2 zal geïnstalleerd worden
 libstdc++6-4.6-doc : Conflicteert met: libstdc++6-4.4-doc maar 4.4.7-2ubuntu1 zal geïnstalleerd worden
                      Conflicteert met: libstdc++6-4.5-doc maar 4.5.4-1ubuntu2 zal geïnstalleerd worden
 libstdc++6-4.7-dbg : Conflicteert met: libstdc++6-4.4-dbg maar 4.4.7-2ubuntu1 zal geïnstalleerd worden
                      Conflicteert met: libstdc++6-4.5-dbg maar 4.5.4-1ubuntu2 zal geïnstalleerd worden
                      Conflicteert met: libstdc++6-4.6-dbg maar 4.6.3-10ubuntu1 zal geïnstalleerd worden
 libstdc++6-4.7-dbg-armel-cross : Conflicteert met: libstdc++6-4.6-dbg-armel-cross maar 4.6.3-8ubuntu1cross1.67 zal geïnstalleerd worden
 libstdc++6-4.7-dbg-armhf-cross : Conflicteert met: libstdc++6-4.6-dbg-armhf-cross maar 4.6.3-8ubuntu1cross1.67 zal geïnstalleerd worden
 libstdc++6-4.7-doc : Conflicteert met: libstdc++6-4.4-doc maar 4.4.7-2ubuntu1 zal geïnstalleerd worden
                      Conflicteert met: libstdc++6-4.5-doc maar 4.5.4-1ubuntu2 zal geïnstalleerd worden
                      Conflicteert met: libstdc++6-4.6-doc maar 4.6.3-10ubuntu1 zal geïnstalleerd worden
E: Kan problemen niet verhelpen, u houdt defecte pakketten vast.

Offline vrijevogel

  • Lid
  • Steunpunt: Nee
Re: Installatie Pixum Fotoboek op amd64, Ubuntu 12.10
« Reactie #7 Gepost op: 2012/12/10, 18:59:00 »
Dat ziet er niet leuk uit: "Dit kan betekenen dat u een onmogelijke situatie gevraagd hebt of dat u de 'unstable'-distributie
gebruikt" en " Kan problemen niet verhelpen, u houdt defecte pakketten vast". Blijkbaar zijn een aantal van die pakketten corrupt geworden. Ik vrees dat er nog meerdere zaken op je computer niet meer correct zullen functioneren. Ik raad aan een backup van je data te nemen.

In synaptic pakketbeheer, kan je bv. paket libstdc++ zoeken en selecteren, daarna "Bewerken" en "gebroken pakketten repareren" kiezen. Hopelijk helpt dat.

Offline Nassara

  • Lid
  • Steunpunt: Nee
Re: Installatie Pixum Fotoboek op amd64, Ubuntu 12.10
« Reactie #8 Gepost op: 2012/12/10, 21:53:59 »
Mijn data staan allemaal op een NAS die gekoppeld is, dus dat zou geen probleem mogen zijn...
In synaptic, zoek ik naar libstdc, ik kies dan "gebroken pakketten repareren", maar het scherm flitst 1x en er gebeurt niet echt veel...

Offline vrijevogel

  • Lid
  • Steunpunt: Nee
Re: Installatie Pixum Fotoboek op amd64, Ubuntu 12.10
« Reactie #9 Gepost op: 2012/12/10, 22:03:45 »
Probeer eens het commando vanuit de terminal : sudo apt-get install -f . Dit commando zal ALLE broken packages proberen te herstellen.

Offline vrijevogel

  • Lid
  • Steunpunt: Nee
Re: Installatie Pixum Fotoboek op amd64, Ubuntu 12.10
« Reactie #10 Gepost op: 2012/12/10, 22:33:39 »
Normaliter zou libstdc++.so.6 op je computer geïnstalleerd moeten zijn. Als je een 64bit-machine hebt, dan vind je die library terug in /usr/lib64.  Wellicht schuilt het probleem zich in het feit dat pixum 32bit-packages verwacht? Zo ja, in dergelijk geval zal je de 32-bit libraries dienen te installeren. Dit gaat als het volgt:
sudo apt-get update
sudo apt-get install ia32-libs

Offline Nassara

  • Lid
  • Steunpunt: Nee
Re: Installatie Pixum Fotoboek op amd64, Ubuntu 12.10
« Reactie #11 Gepost op: 2012/12/11, 08:26:28 »
Joepie, dat was de juiste toverspreuk! Bedankt!!

Offline vrijevogel

  • Lid
  • Steunpunt: Nee
[Opgelost] Installatie Pixum Fotoboek op amd64, Ubuntu 12.10
« Reactie #12 Gepost op: 2012/12/11, 18:35:05 »
Joepie, dat was de juiste toverspreuk! Bedankt!!